org.bdgenomics.adam.sql

# Contig

###
Related Docs: object Contig | package sql

#### class Contig extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Contig
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Contig(contigName: Option[String], contigLength: Option[Long], contigMD5: Option[String], referenceURL: Option[String], assembly: Option[String], species: Option[String], referenceIndex: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val assembly: Option[String]

6. #### def canEqual(that: Any): Boolean

   Definition Classes
     Contig → Equals

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val contigLength: Option[Long]

9. #### val contigMD5: Option[String]

10. #### val contigName: Option[String]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def productArity: Int

    Definition Classes
      Contig → Product

21. #### def productElement(i: Int): Any

    Definition Classes
      Contig → Product

22. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

23. #### def productPrefix: String

    Definition Classes
      Product

24. #### val referenceIndex: Option[Int]

25. #### val referenceURL: Option[String]

26. #### val species: Option[String]

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toAvro: formats.avro.Contig

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped